import operator
import os
import re
import pandas as pd
from copy import deepcopy
from fastapi import APIRouter, Depends, Request, File, UploadFile
from motor.motor_asyncio import AsyncIOMotorDatabase

from utils.dingding import get_redis_alluid, send_dates
from utils.jianli import get_resume
import crud, schemas
from datetime import datetime
from core.configuration import *
from db import get_database
from db.ckdb import get_ck_db, CKDrive

from models.interview_zsgc import InterviewDo
from utils import get_time, qujian_time, Download_xlsx, send_str_mail

router = APIRouter()


# 增加入职人员
@router.post("/add_worker")
async def add_worker(
        request: Request,
        data_in: schemas.WorkerQuery,
        db: AsyncIOMotorDatabase = Depends(get_database)
) -> schemas.Msg:
    """ 增加入职人员信息 """

    data = await crud.worker_info.insert_worker(db, data_in.data_in)

    return schemas.Msg(code=200, msg='ok', data=data)


# 查询入职人员信息
@router.post("/find_worker")
async def add_worker(
        request: Request,
        data_in: schemas.WorkerQuery,
        db: AsyncIOMotorDatabase = Depends(get_database)
) -> schemas.Msg:
    """ 查询入职人员信息 """

    data = await crud.worker_info.find_worker_some(db, findlist=data_in.find_filed)

    return schemas.Msg(code=200, msg='ok', data=data)


# 修改入职人员信息
@router.post("/update_worker")
async def add_worker(
        request: Request,
        data_in: schemas.WorkerQuery,
        db: AsyncIOMotorDatabase = Depends(get_database)
) -> schemas.Msg:
    """ 修改入职人员信息 """

    data = await crud.worker_info.update_worker(db, data_in.worker_query, data_in.data_in)

    return schemas.Msg(code=200, msg='ok', data=data)


